PatchTableFactory::Options Struct Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
PatchTableFactory::Options Struct Reference

`#include <patchTableFactory.h>`

## Public Types
enum | EndCapType { ENDCAP_NONE = 0, ENDCAP_BILINEAR_BASIS, ENDCAP_BSPLINE_BASIS, ENDCAP_GREGORY_BASIS, ENDCAP_LEGACY_GREGORY }

## Public Member Functions
| Options (unsigned int maxIsolation=10)
EndCapType | GetEndCapType () const
| Get endcap patch type. More...
void | SetEndCapType (EndCapType e)
| Set endcap patch type. More...

## Public Attributes
unsigned int | generateAllLevels: 1
| Include levels from 'firstLevel' to 'maxLevel' (Uniform mode only) More...
unsigned int | triangulateQuads: 1
| Triangulate 'QUADS' primitives (Uniform mode only) More...
unsigned int | useSingleCreasePatch: 1
| Use single crease patch. More...
unsigned int | maxIsolationLevel: 4
| Cap adaptive feature isolation to the given level (max. 10) More...
unsigned int | endCapType: 3
| EndCapType. More...
unsigned int | shareEndCapPatchPoints: 1
unsigned int | generateFVarTables: 1
| Generate face-varying patch tables. More...
int | numFVarChannels
| Number of channel indices and interpolation modes passed. More...
int const * | fvarChannelIndices
| List containing the indices of the channels selected for the factory. More...

## Detailed Description

Definition at line 79 of file patchTableFactory.h.

## Member Enumeration Documentation

enum EndCapType

Enumerator
ENDCAP_NONE | no endcap
ENDCAP_BILINEAR_BASIS | use bilinear quads (4 cp) as end-caps
ENDCAP_BSPLINE_BASIS | use BSpline basis patches (16 cp) as end-caps
ENDCAP_GREGORY_BASIS | use Gregory basis patches (20 cp) as end-caps
ENDCAP_LEGACY_GREGORY | use legacy (2.x) Gregory patches (4 cp + valence table) as end-caps

Definition at line 81 of file patchTableFactory.h.

## Constructor & Destructor Documentation

Options | ( | unsigned int | maxIsolation = `10` | ) |
| inline

Definition at line 89 of file patchTableFactory.h.

## Member Function Documentation

EndCapType GetEndCapType | ( |  | ) | const
| inline

Get endcap patch type.

Definition at line 102 of file patchTableFactory.h.

void SetEndCapType | ( | EndCapType | e | ) |
| inline

Set endcap patch type.

Definition at line 105 of file patchTableFactory.h.

## Member Data Documentation

unsigned int endCapType

EndCapType.

Definition at line 107 of file patchTableFactory.h.

int const* fvarChannelIndices

List containing the indices of the channels selected for the factory.

Definition at line 120 of file patchTableFactory.h.

unsigned int generateAllLevels

Include levels from 'firstLevel' to 'maxLevel' (Uniform mode only)

Definition at line 107 of file patchTableFactory.h.

unsigned int generateFVarTables

Generate face-varying patch tables.

Definition at line 107 of file patchTableFactory.h.

unsigned int maxIsolationLevel

Cap adaptive feature isolation to the given level (max. 10)

Definition at line 107 of file patchTableFactory.h.

int numFVarChannels

Number of channel indices and interpolation modes passed.

Definition at line 119 of file patchTableFactory.h.

unsigned int shareEndCapPatchPoints

Share endcap patch points among adjacent endcap patches. currently only work with GregoryBasis.

Definition at line 107 of file patchTableFactory.h.

unsigned int triangulateQuads

Triangulate 'QUADS' primitives (Uniform mode only)

Definition at line 107 of file patchTableFactory.h.

unsigned int useSingleCreasePatch

Use single crease patch.

Definition at line 107 of file patchTableFactory.h.

The documentation for this struct was generated from the following file:

- opensubdiv/far/patchTableFactory.h